ch.qos.logback.core.spi

## Interface PropertyContainer

All Known Subinterfaces:
  Context

All Known Implementing Classes:
  AccessContext, ContextBase, InterpretationContext, LogbackValve, LoggerContext, RequestLogImpl

    public interface PropertyContainer

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,String>` `getCopyOfPropertyMap()`
`String` `getProperty(String key)`

### Method Detail

#### getProperty

    String getProperty(String key)

#### getCopyOfPropertyMap

    Map<String,String> getCopyOfPropertyMap()